Package org.apache.synapse.commons.jmx

# Class JmxInformation

java.lang.Object
org.apache.synapse.commons.jmx.JmxInformation

public class JmxInformation extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JmxInformation()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getHostName()`
  `String`
  `getJmxUrl()`
  `int`
  `getJndiPort()`
  `String`
  `getRemoteAccessFile()`
  `String`
  `getRemotePasswordFile()`
  `int`
  `getRmiPort()`
  `org.wso2.securevault.secret.SecretInformation`
  `getSecretInformation()`
  `boolean`
  `isAuthenticate()`
  `boolean`
  `isRemoteSSL()`
  `void`
  `setAuthenticate(boolean authenticate)`
  `void`
  `setHostName(String host)`
  `void`
  `setJndiPort(int jndiPort)`
  `void`
  `setRemoteAccessFile(String remoteAccessFile)`
  `void`
  `setRemotePasswordFile(String remotePasswordFile)`
  `void`
  `setRemoteSSL(boolean remoteSSL)`
  `void`
  `setRmiPort(int rmiPort)`
  `void`
  `setSecretInformation(org.wso2.securevault.secret.SecretInformation secretInformation)`
  `void`
  `updateJMXUrl()`
  Builds the JMX URL depending on the existence of RMI port.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JmxInformation

    public JmxInformation()

- ## Method Details

  - ### getSecretInformation

    public org.wso2.securevault.secret.SecretInformation getSecretInformation()

  - ### setSecretInformation

    public void setSecretInformation(org.wso2.securevault.secret.SecretInformation secretInformation)

  - ### getHostName

    public String getHostName()

  - ### setHostName

    public void setHostName(String host)

  - ### getRmiPort

    public int getRmiPort()

  - ### setRmiPort

    public void setRmiPort(int rmiPort)

  - ### getJndiPort

    public int getJndiPort()

  - ### setJndiPort

    public void setJndiPort(int jndiPort)

  - ### isAuthenticate

    public boolean isAuthenticate()

  - ### setAuthenticate

    public void setAuthenticate(boolean authenticate)

  - ### getRemoteAccessFile

    public String getRemoteAccessFile()

  - ### setRemoteAccessFile

    public void setRemoteAccessFile(String remoteAccessFile)

  - ### getRemotePasswordFile

    public String getRemotePasswordFile()

  - ### setRemotePasswordFile

    public void setRemotePasswordFile(String remotePasswordFile)

  - ### isRemoteSSL

    public boolean isRemoteSSL()

  - ### setRemoteSSL

    public void setRemoteSSL(boolean remoteSSL)

  - ### updateJMXUrl

    public void updateJMXUrl()
    Builds the JMX URL depending on the existence of RMI port.

  - ### getJmxUrl

    public String getJmxUrl()